## octave-dicom 0.2.1

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some shell programs
MD5SUM    ?= md5sum
SED       ?= sed
GREP      ?= grep
TAR       ?= tar
GZIP      ?= gzip

## Helper function
TOLOWER   := $(SED) -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/'

PACKAGE := $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))
VERSION := $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' DESCRIPTION | $(TOLOWER))
DEPENDS := $(shell $(SED) -n -e 's/^Depends[^,]*, \(.*\)/\1/p' DESCRIPTION | $(SED) 's/ *([^()]*),*/ /g')

TARGET_DIR      := target
RELEASE_DIR     := $(TARGET_DIR)/$(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz

M_SOURCES   := $(wildcard inst/*.m)
CC_SOURCES  := $(wildcard src/*.cpp)
CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' $(CC_SOURCES))
TST_SOURCES := $(patsubst src/%.cpp,inst/test/%.cpp-tst,$(CC_TST_SOURCES))
OCT_FILES   := $(patsubst %.cpp,%.oct,$(CC_SOURCES))
PKG_ADD     := $(shell $(GREP) -sPho '(?<=(//|\#\#) PKG_ADD: ).*' $(CC_SOURCES) $(M_SOURCES))

OCTAVE ?= octave --no-window-system --silent
MKOCTFILE ?= mkoctfile

.PHONY: help dist html release install all check run clean test_files

help:
	@echo "Targets:"
	@echo "   dist    - Create $(RELEASE_TARBALL) for release"
	@echo "   html    - Create $(HTML_TARBALL) for release"
	@echo "   release - Create both of the above and show md5sums"
	@echo
	@echo "   install - Install the package in GNU Octave"
	@echo "   all     - Build all oct files"
	@echo "   check   - Execute package tests (w/o install)"
	@echo "   run     - Run Octave with development in PATH (no install)"
	@echo
	@echo "   clean   - Remove releases, html documentation, and oct files"

%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(TARGET_DIR)/" "$(notdir $<)" | $(GZIP) -9n > "$@"

$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	$(RM) -r "$@"
	hg archive --exclude ".hg*" --type files "$@"
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
	# need to build any tests
	cd "$@" && $(MAKE) test_files
	chmod -R a+rX,u+w,go-w "$@"

$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  --eval 'generate_package_html ("${PACKAGE}", "$@", "octave-forge");'
	chmod -R a+rX,u+w,go-w $@

# test file recipes
$(TST_SOURCES): inst/test/%.cpp-tst: src/%.cpp | inst/test
	@echo "Extracting tests from $< ..."
	@$(RM) -f "$@" "$@-t"
	@(	echo "## Generated from $<"; \
                $(GREP) '^%!' "$<") > "$@"

inst/test:
	@mkdir -p "$@"

test_files: $(TST_SOURCES)

dist: $(RELEASE_TARBALL)
html: $(HTML_TARBALL)

release: dist html
	md5sum $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo 'Execute: hg tag "release-${VERSION}"'

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --eval 'pkg ("install", "-verbose", "${RELEASE_TARBALL}")'

all: $(CC_SOURCES)
	cd src/ && ./bootstrap && ./configure
	$(MAKE) -C src/

check: all test_files
	$(OCTAVE) --path "inst/" --path "src/" \
	  --eval '${PKG_ADD}' \
	  --eval '__run_test_suite__ ({"inst/"}, {})'

run: all
	$(OCTAVE) --persist --path "inst/" --path "src/" \
	  --eval '${PKG_ADD}'

clean:
	$(RM) -r $(TARGET_DIR) fntests.log
	test ! -e src/Makefile || $(MAKE) -C src clean

distclean: clean
	test ! -e src/Makefile || $(MAKE) -C src distclean

=== debian/changelog ===
octave-dicom (0.2.1-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:11 -0200

octave-dicom (0.2.1-4) unstable; urgency=medium

  * Exclude failing unit tests for both build and CI runs

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Aug 2018 16:34:27 -0300

octave-dicom (0.2.1-3) unstable; urgency=medium

  * d/rules: Exclude unit tests that call urlwrite()

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 13 Aug 2018 13:37:24 -0300

octave-dicom (0.2.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0
  * d/patches/no-addpath-inst.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 Aug 2018 06:02:26 -0300

octave-dicom (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #898289)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 06:32:07 -0300

=== debian/control ===
Source: octave-dicom
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.1),
               libgdcm2-dev
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/dicom/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-dicom
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: manipulate DICOM files in Octave
 Digital communications in medicine (DICOM) is an information
 standard, originally created for image transfer, which now deals with
 a large range of medical data.
 .
 This package provides functions to read and (eventually) write DICOM
 files in Octave, a scientific computation software. The functions in
 the package are intended to have similar usage as the dicom functions
 in the Matlab Image Processing Toolbox. In Octave they are separate:
 most image package users will not use dicom, and its dependency might
 be considered troublesome.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-dicom 0.2.2

=== DESCRIPTION ===
Name: dicom
Version: 0.2.2
Date: 2019-01-03
Author: Andy Buckle
Maintainer: Andy Buckle, John Donoghue
Title: dicom: file io for medical images and other data
Description: Digital communications in medicine (DICOM) file io. 
  Depends on Grassroots DICOM (GDCM). This package is not available
  in repos for all distros. Contributors: Judd Storrs, Kris Thielemans,
  John Donoghue
SystemRequirements: libgdcm2.0 (>= 2.0.16)
Categories: imaging, medical
Url: http://octave.org/wiki/index.php?title=Dicom
License: GPL version 3 or later

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 ## Copyright 2015-2016 Carnë Draug
 ## Copyright 2015-2016 Oliver Heimlich
+## Copyright 2018-2019 John Donoghue
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
 ## notice and this notice are preserved.  This file is offered as-is,
 ## without any warranty.
+TOPDIR := $(shell pwd)
 
 ## Some shell programs
 MD5SUM    ?= md5sum
@@ -101,9 +103,9 @@
 	$(MAKE) -C src/
 
 check: all test_files
-	$(OCTAVE) --path "inst/" --path "src/" \
+	$(OCTAVE) --path "$(TOPDIR)/inst/" --path "$(TOPDIR)/src/" \
 	  --eval '${PKG_ADD}' \
-	  --eval '__run_test_suite__ ({"inst/"}, {})'
+	  --eval '__run_test_suite__ ({"$(TOPDIR)/inst"}, {})'
 
 run: all
 	$(OCTAVE) --persist --path "inst/" --path "src/" \

=== debian/changelog ===
octave-dicom (0.2.2-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:18 +0100

octave-dicom (0.2.2-5) unstable; urgency=medium

  * d/p/gdcm-3-fallback-detection.patch: New patch.
    Thanks to Peter Green, for reporting the bug, and Gianfranco
    Costamagna, for indicating the patch. (Closes: #945976)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Dec 2019 05:15:17 -0300

octave-dicom (0.2.2-4) unstable; urgency=medium

  * d/control: Build-depend on libgdcm-dev.
    Thanks to Steve Langasek, for the patch (Closes: #944718)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 29 Nov 2019 05:48:57 -0300

octave-dicom (0.2.2-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1.
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 03 Nov 2019 18:50:27 -0300

octave-dicom (0.2.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 09 Jul 2019 10:24:15 -0300

octave-dicom (0.2.2-1) experimental; urgency=medium

  * New upstream version 0.2.2
  * Refresh patches for new upstream version:
    + d/p/no-addpath-inst.patch
    + d/p/skip-unit-test-isdicom.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Apr 2019 17:55:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.1),
-               libgdcm2-dev
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               dh-octave (>= 0.7.1),
+               libgdcm-dev
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom

=== debian/watch ===
version=3
http://sf.net/octave/dicom-(.+)\.tar\.gz

## octave-dicom 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.2.2
-Date: 2019-01-03
+Version: 0.3.0
+Date: 2020-02-27
 Author: Andy Buckle
 Maintainer: Andy Buckle, John Donoghue
 Title: dicom: file io for medical images and other data
@@ -8,6 +8,7 @@
   Depends on Grassroots DICOM (GDCM). This package is not available
   in repos for all distros. Contributors: Judd Storrs, Kris Thielemans,
   John Donoghue
+Depends: octave (>= 3.8.0)
 SystemRequirements: libgdcm2.0 (>= 2.0.16)
 Categories: imaging, medical
 Url: http://octave.org/wiki/index.php?title=Dicom

=== debian/changelog ===
octave-dicom (0.3.0-3) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Fix Repository field
    + Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:38:57 -0300

octave-dicom (0.3.0-2) unstable; urgency=medium

  * d/u/metadata: Fix Repository field

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 Mar 2020 15:40:25 -0300

octave-dicom (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Specify versioned build-dependency on libgdcm-dev
    + Update upstream homepage URL
    + Bump Standards-Version to 4.5.0 (no changes needed)
  * d/p/skip-unit-test-isdicom.patch: Refresh for new upstream version
  * d/p/no-addpath-inst.patch: Drop patch (fixed upstream)
  * d/p/gdcm-3-fallback-detection.patch: Drop patch (applied upstream)
  * d/u/metadata: Add DEP-12 fields recommended by Lintian

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:53:33 -0300

## octave-dicom 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.3.0
-Date: 2020-02-27
+Version: 0.4.0
+Date: 2020-09-04
 Author: Andy Buckle
 Maintainer: Andy Buckle, John Donoghue
 Title: dicom: file io for medical images and other data

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2018-2019 John Donoghue
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.
TOPDIR := $(shell pwd)

## Some shell programs
MD5SUM    ?= md5sum
SED       ?= sed
GREP      ?= grep
TAR       ?= tar
GZIP      ?= gzip
CUT       ?= cut
TR        ?= tr
TEXI2PDF  ?= texi2pdf -q

PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

TARGET_DIR      := target
RELEASE_DIR     := $(TARGET_DIR)/$(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz

PKG_ADD     := 

OCTAVE ?= octave --no-window-system --silent
MKOCTFILE ?= mkoctfile

.PHONY: help dist html release install all check run clean test_files

help:
	@echo "Targets:"
	@echo "   dist    - Create $(RELEASE_TARBALL) for release"
	@echo "   html    - Create $(HTML_TARBALL) for release"
	@echo "   release - Create both of the above and show md5sums"
	@echo
	@echo "   install - Install the package in GNU Octave"
	@echo "   all     - Build all oct files"
	@echo "   check   - Execute package tests (w/o install)"
	@echo "   run     - Run Octave with development in PATH (no install)"
	@echo
	@echo "   clean   - Remove releases, html documentation, and oct files"

%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(TARGET_DIR)/" "$(notdir $<)" | gzip -9n > $@
	-rm -rf $<

.PHONY: docs
docs: doc/$(PACKAGE).pdf

.PHONY: clean-docs
clean-docs:
	$(RM) -f doc/$(PACKAGE).info
	$(RM) -f doc/$(PACKAGE).pdf
	$(RM) -f doc/functions.texi

doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi
	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
	# remove temp files
	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc

doc/functions.texi:
	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi


$(RELEASE_DIR): .hg/dirstate
	@echo "Creating package version $(VERSION) release ..."
	$(RM) -r "$@"
	$(call HG_CMD,archive) --exclude ".hg*" --type files --rev $(HG_ID) "$@"
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
	# build docs
	$(MAKE) -C "$@" docs
	chmod -R a+rX,u+w,go-w "$@"

html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(PACKAGE).texi";'
$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; "   \
	  --eval "pkg load $(PACKAGE);"       \
	  $(html_options)                     \
	  --eval 'generate_package_html ("${PACKAGE}", "$@", options);'
	chmod -R a+rX,u+w,go-w $@
	-rm -rf $<

dist: $(RELEASE_TARBALL)
html: $(HTML_TARBALL)

release: dist html
	md5sum $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo 'Execute: hg tag "release-${VERSION}"'

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE) --eval 'pkg ("install", "-verbose", "${RELEASE_TARBALL}")'

all: $(CC_SOURCES)
	cd src/ && ./bootstrap && ./configure
	$(MAKE) -C src/

check: all
	$(OCTAVE) --path "$(TOPDIR)/inst/" --path "$(TOPDIR)/src/" \
	  --eval '${PKG_ADD}' \
	  --eval '__run_test_suite__ ({"$(TOPDIR)/inst"}, {})'

run: all
	$(OCTAVE) --persist --path "inst/" --path "src/" \
	  --eval '${PKG_ADD}'

clean: clean-docs
	$(RM) -r $(TARGET_DIR) fntests.log
	test ! -e src/Makefile || $(MAKE) -C src clean

distclean: clean
	test ! -e src/Makefile || $(MAKE) -C src distclean

=== debian/changelog ===
octave-dicom (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 04:28:51 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               libgdcm-dev
-Standards-Version: 4.4.1
-Homepage: https://octave.sourceforge.io/dicom/
+               libgdcm-dev (>= 2.0.16)
+Standards-Version: 4.5.0
+Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
 Testsuite: autopkgtest-pkg-octave

## octave-dicom 0.5.0

=== debian/changelog ===
octave-dicom (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cpp-tst
  * Proper cleanup of files generated by the configure script
    + d/clean: Drop file
  * d/control: Build-depend on dh-octave >= 1.2.3
    In this version, dh_octave_clean removes the src/*-tst files, as
    well as the files generated by the configure script.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 10:33:20 -0300

octave-dicom (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * d/p/skip-unit-test-isdicom.patch: Drop patch (not needed anymore)
  * d/clean: Remove files left over by the building process
  * d/copyright:
    + Accentuate my family name
    + Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.
  * d/watch: Bump to format version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 01 Mar 2022 12:04:22 -0300

=== debian/watch ===
version=4
http://sf.net/octave/dicom-(.+)\.tar\.gz

## octave-dicom 0.5.1

=== DESCRIPTION ===
Name: dicom
Version: 0.5.1
Date: 2022-11-21
Author: Andy Buckle
Maintainer: John Donoghue
Title: dicom: file io for medical images and other data
Description: Digital communications in medicine (DICOM) file io. 
  Depends on Grassroots DICOM (GDCM). This package is not available
  in repos for all distros.
Contributors: Judd Storrs, Kris Thielemans, John Donoghue
Depends: octave (>= 3.8.0)
SystemRequirements: libgdcm2.0 (>= 2.0.16)
Categories: imaging, medical
Url: http://octave.org/wiki/index.php?title=Dicom
License: GPL version 3 or later

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,23 @@
 CUT       ?= cut
 TR        ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  #  v4 wont process collection files, but returns ok status on version
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
@@ -61,18 +78,28 @@
 	-rm -rf $<
 
 .PHONY: docs
-docs: doc/$(PACKAGE).pdf
+docs: doc/$(PACKAGE).pdf doc/$(PACKAGE).qhc doc/$(PACKAGE).html
 
 .PHONY: clean-docs
 clean-docs:
-	$(RM) -f doc/$(PACKAGE).info
-	$(RM) -f doc/$(PACKAGE).pdf
-	$(RM) -f doc/functions.texi
+	-$(RM) -f doc/$(PACKAGE).info
+	-$(RM) -f doc/$(PACKAGE).pdf
+	-$(RM) -f doc/$(PACKAGE).html
+	-$(RM) -f doc/functions.texi
+	-$(RM) -f doc/$(PACKAGE).qhc doc/$(PACKAGE).qch
 
 doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
 	# remove temp files
 	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc
+
+doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css  --no-split --output=${PACKAGE}.html $(PACKAGE).texi
+
+doc/$(PACKAGE).qhc: doc/$(PACKAGE).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
+	cd doc && $(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp
 
 doc/functions.texi:
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
@@ -88,7 +115,8 @@
 	chmod -R a+rX,u+w,go-w "$@"
 
 html_options = --eval 'options = get_html_options ("octave-forge");' \
-               --eval 'options.package_doc = "$(PACKAGE).texi";'
+               --eval 'options.package_doc = "$(PACKAGE).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(PACKAGE).css"];'
 $(HTML_DIR): install
 	@echo "Generating HTML documentation. This may take a while ..."
 	$(RM) -r "$@"
@@ -122,8 +150,15 @@
 	  --eval '__run_test_suite__ ({"$(TOPDIR)/inst"}, {})'
 
 run: all
-	$(OCTAVE) --persist --path "inst/" --path "src/" \
+	$(OCTAVE) --persist --path "$(TOPDIR)/inst/" --path "$(TOPDIR)/src/" \
 	  --eval '${PKG_ADD}'
+
+doctest: all
+	$(OCTAVE) --path "$(TOPDIR)/inst" --path "$(TOPDIR)/src" \
+	  --eval '${PKG_ADD}' \
+	  --eval 'pkg load doctest;' \
+	  --eval "targets = {'$(TOPDIR)/inst', '$(TOPDIR)/src'};" \
+	  --eval "doctest (targets);"
 
 clean: clean-docs
 	$(RM) -r $(TARGET_DIR) fntests.log

=== debian/changelog ===
octave-dicom (0.5.1-1build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:27:26 +0000

octave-dicom (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Dec 2022 14:03:51 -0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/dicom/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/dicom-(.+).tar.gz

## octave-dicom 0.6.0

=== debian/changelog ===
octave-dicom (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/copyright:
    + Update copyright years
    + Update Source URL
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/rules: Move imdata/REAMDE.md into /usr/share/doc

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Jan 2024 16:19:21 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

sharedir = debian/octave-dicom/usr/share

execute_after_dh_installdeb:
	mv $(sharedir)/octave/packages/dicom-*/imdata/README.md	\
	   $(sharedir)/doc/octave-dicom/README-imdata.md

## octave-dicom 0.6.1

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' DESCRIPTION)
 
 HG           := hg
 HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
@@ -52,6 +53,10 @@
 RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
 HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
 HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz
+
+ifeq ($(if $(wildcard .hg),hg,no),hg)
+RELEASE_DIR_DEP := .hg/dirstate
+endif
 
 PKG_ADD     := 
 
@@ -86,14 +91,22 @@
 	-$(RM) -f doc/$(PACKAGE).pdf
 	-$(RM) -f doc/$(PACKAGE).html
 	-$(RM) -f doc/functions.texi
+	-$(RM) -f doc/version.texi
 	-$(RM) -f doc/$(PACKAGE).qhc doc/$(PACKAGE).qch
 
-doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi
+doc/version.texi: $(RELEASE_DIR_DEP)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(VERSION)" >> $@
+	@echo "@set PACKAGE $(PACKAGE)" >> $@
+	@echo "@set DATE $(DATE)" >> $@
+
+doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
 	# remove temp files
 	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc
 
-doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi
+doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css  --no-split --output=${PACKAGE}.html $(PACKAGE).texi
 
 doc/$(PACKAGE).qhc: doc/$(PACKAGE).html
@@ -101,11 +114,11 @@
 	cd doc && ./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
 	cd doc && $(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp
 
-doc/functions.texi:
+doc/functions.texi: $(RELEASE_DIR_DEP)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 
-$(RELEASE_DIR): .hg/dirstate
+$(RELEASE_DIR): $(RELEASE_DIR_DEP)
 	@echo "Creating package version $(VERSION) release ..."
 	$(RM) -r "$@"
 	$(call HG_CMD,archive) --exclude ".hg*" --type files --rev $(HG_ID) "$@"

=== debian/changelog ===
octave-dicom (0.6.1-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 04:42:22 -0300

octave-dicom (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/control: Resctrict build-dependencies needed for building the documentation to the "!nodoc" profile
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 21 Sep 2024 02:05:31 -0300

octave-dicom (0.6.0-3) unstable; urgency=medium

  * d/octave-dicom.docs: Install dicom.css file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 16:50:10 -0300

octave-dicom (0.6.0-2) unstable; urgency=medium

  * d/control: Update homepage URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
    + Add Documentation URL
  * Install documentation
    + d/control:
      - Build-depend on dh-octave >= 1.8.0
      - Build-depend on pyhton3
      = Build-depend on texlive
    + d/octave-dicom.doc-base: New file
    + d/octave-dicom.docs: New file
    + d/octave-dicom.info: New file
    + d/rules: Build the documentation via override_dh_auto_build
  * d/p/info-dir-section.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Jan 2024 14:24:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.6.2
-Homepage: https://wiki.octave.org/Dicom_package
+               libgdcm-dev (>= 2.0.16),
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-dicom
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/dicom/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/dicom-@ANY_VERSION@@ARCHIVE_EXT@

## octave-dicom 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.5.1
-Date: 2022-11-21
+Version: 0.7.1
+Date: 2026-01-06
 Author: Andy Buckle
 Maintainer: John Donoghue
 Title: dicom: file io for medical images and other data
@@ -11,5 +11,7 @@
 Depends: octave (>= 3.8.0)
 SystemRequirements: libgdcm2.0 (>= 2.0.16)
 Categories: imaging, medical
-Url: http://octave.org/wiki/index.php?title=Dicom
+Url: https://gnu-octave.github.io/octave-dicom/index
+Repository: https://github.com/gnu-octave/octave-dicom/
+Tracker: https://github.com/gnu-octave/octave-dicom/issues
 License: GPL version 3 or later

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ## Copyright 2015-2016 Carnë Draug
 ## Copyright 2015-2016 Oliver Heimlich
-## Copyright 2018-2019 John Donoghue
+## Copyright 2018-2026 John Donoghue
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -18,6 +18,7 @@
 TR        ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -40,23 +41,28 @@
 VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
 DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' DESCRIPTION)
 
-HG           := hg
-HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
-HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
-TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
-
 TARGET_DIR      := target
 RELEASE_DIR     := $(TARGET_DIR)/$(PACKAGE)-$(VERSION)
 RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
 HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
 HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz
 
-ifeq ($(if $(wildcard .hg),hg,no),hg)
+vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
+ifeq ($(vcs),hg)
 RELEASE_DIR_DEP := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
+ifeq ($(vcs),git)
+RELEASE_DIR_DEP := .git/index
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 PKG_ADD     := 
 
@@ -102,12 +108,12 @@
 	@echo "@set DATE $(DATE)" >> $@
 
 doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
 	# remove temp files
 	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc
 
 doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css  --no-split --output=${PACKAGE}.html $(PACKAGE).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css  $(MAKEINFO_HTML_OPTIONS) --output=${PACKAGE}.html $(PACKAGE).texi
 
 doc/$(PACKAGE).qhc: doc/$(PACKAGE).html
 	# try also create qch file if can
@@ -121,7 +127,13 @@
 $(RELEASE_DIR): $(RELEASE_DIR_DEP)
 	@echo "Creating package version $(VERSION) release ..."
 	$(RM) -r "$@"
+ifeq (${vcs},hg)
 	$(call HG_CMD,archive) --exclude ".hg*" --type files --rev $(HG_ID) "$@"
+endif
+ifeq (${vcs},git)
+	$(GIT) archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
+	$(RM) "$@/.gitignore"
+endif
 	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
 	# build docs
 	$(MAKE) -C "$@" docs
@@ -153,8 +165,10 @@
 	@echo "Installing package locally ..."
 	$(OCTAVE) --eval 'pkg ("install", "-verbose", "${RELEASE_TARBALL}")'
 
-all: $(CC_SOURCES)
+src/configure: src/configure.ac 
 	cd src/ && ./bootstrap && ./configure
+
+all: src/configure
 	$(MAKE) -C src/
 
 check: all

=== debian/changelog ===
octave-dicom (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/watch: Update upstream tarball URL
  * d/s/lintian-overrides: Drop unused override
  * d/u/metadata: Update upstream URLs
  * d/salsa-ci.yml: New file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 15:04:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-dicom
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
@@ -10,7 +9,7 @@
                libgdcm-dev (>= 2.0.16),
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/dicom/
Matching-Pattern: https://github.com/gnu-octave/octave-dicom/releases/download/release-.*/dicom-@ANY_VERSION@@ARCHIVE_EXT@
